close all; clear; %clc;

addpath('..');
dataPath = './Data/';
load(fullfile(dataPath,'ClassList.mat'));
load(fullfile(dataPath,'Feature_RandomWalk.mat'));

k = 4;
testNum = 500;

tNum = numel(Feature_RandomWalk);
kmResult = zeros(1,tNum);
lkResult = zeros(1,tNum);

for i = 1:tNum
    thisFeature = Feature_RandomWalk{i};
    thisKMResult = zeros(testNum,1);
    for testIdx = 1:testNum 
        [kmClusterList] = kmeans(thisFeature,k);
        thisKMResult(testIdx) = ComputeFScore(kmClusterList, ClassList);
    end    
    kmResult(i) = mean(thisKMResult);
    
    Z = linkage(thisFeature,'complete');
    lkClusterList = cluster(Z,'maxclust',k);
    lkResult(i) = ComputeFScore(lkClusterList, ClassList);
end