close all; clear; %clc;

addpath('..');
dataPath = './Data/';
load(fullfile(dataPath,'ClassList.mat'));
load(fullfile(dataPath,'Affinity_VNK.mat'));
load(fullfile(dataPath,'Gower.mat'));

k = 4;

sfAddonIdx = 4;
remainingList = [0,10,20,50];
remainingNum = numel(remainingList);

sampleNum = numel(ClassList);
MissingDataInd = zeros(sampleNum,1) > 0;

result = zeros(2,remainingNum);

for i = 1:remainingNum
    [myClusterList] = Clustering_Agglomerative_ProcessMissingDataAndOutliers...
                (Affinity_VNK{sfAddonIdx,1},k,MissingDataInd,remainingList(i));
    result(1,i) = ComputeFScore(myClusterList, ClassList);

    [GowerClusterList] = Clustering_Agglomerative_ProcessMissingDataAndOutliers...
            (GowerAffinityMatrix,k,MissingDataInd,remainingList(i));
    result(2,i) = ComputeFScore(GowerClusterList, ClassList);
end