close all; clear; %clc;

dataPath = './Data/';
load(fullfile(dataPath,'baseSM12.mat'));
% load(fullfile(dataPath,'baseSM12_WeightedByVariance.mat'));

[dataNum,attributeNum] = size(baseSM12);

SM12 = baseSM12;
SM11 = zeros(dataNum);
SM22 = zeros(attributeNum);
W = [SM11,SM12;SM12.',SM22];
aoNum = size(W,1);
iM = eye(aoNum);
maxAbsEigs = max(abs(eigs(W)));

sfAddon = 1:5:41;
sfAddonNum = numel(sfAddon);

tList = 1:2:9;
tNum = numel(tList);

Feature_VNK = cell(sfAddonNum,tNum);

for i = 1:sfAddonNum
    scaleFactor = maxAbsEigs + sfAddon(i);
    sW = W / (scaleFactor + eps);
    maxT = max(tList);
    tmpA = iM * 0;
    previousFeature = [];
    tIdx = 0;
    for j = 1:maxT
    %     tmpA = tmpA * sW;
        tmpA = tmpA * sW + sW;
        if sum(tList == j) == 1
            thisFeature = [previousFeature,tmpA(1:dataNum,dataNum+1:end)];
            tIdx = tIdx + 1;
            Feature_VNK{i,tIdx} = thisFeature;
            previousFeature = thisFeature;
        end
    end
end

save(fullfile(dataPath,'Feature_VNK.mat'),'Feature_VNK');